# MAIN IMPORTS ================================================================================================================================================ #
import psyco
psyco.full()
import es
import playerlib
# ============================================================================================================================================================= #

# * SAM IMPORTS
func = es.import_addon('sam/functions')
bans = es.import_addon('sam/base/pcontrol/ban')

# '''''''''''''''''''' # Addon/Mod Info # '''''''''''''''''' #
addon = es.AddonInfo()
addon.name     = 'Connected'
addon.basename = 'connected'
addon.status   = 1
addon.version  = '1.0.p'
# '''''''''''''''''''''''''''''''''''''''''''''''''''''''''' #

# ============================================================================================================================================================= #
# ========================================================================== LOAD ============================================================================= #
# ============================================================================================================================================================= #
def load():
	### Addon State ###
	es.set('sam_' + addon.basename, 1)

# ============================================================================================================================================================= #
# ========================================================================= UNLOAD ============================================================================ #
# ============================================================================================================================================================= #
def unload():
	### Addon State ###
	es.set('sam_' + addon.basename, 0)

# ============================================================================================================================================================= #
# ========================================================================= EVENTS ============================================================================ #
# ============================================================================================================================================================= #
def es_player_validated(ev):
	steamidlist = []
	for ply in es.getUseridList(): steamidlist.append(es.getplayersteamid(ply))
	if not ev['networkid'] in steamidlist:
		if bans.isBanned(ev['networkid']) == False: func.tell(ply, func.lang_addon(addon.basename, 'connected', ev))

# ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::: #
def player_disconnect(ev):
	if bans.isBanned(ev['networkid']) == True: func.tell('#all', func.lang_addon(addon.basename, 'disconnected', ev))

# ============================================================================================================================================================= #