# MAIN IMPORTS ================================================================================================================================================= #
import psyco
psyco.full()
import es
import playerlib
# ============================================================================================================================================================== #

# * SAM IMPORTS
func   = es.import_addon('sam/functions')
admins = es.import_addon('sam/admins')

def load():
	### CREATE PLAYERS VAR ###
	for ply in playerlib.getPlayerList('#all'):
		var = es.ServerVar('sam_freeze_%s' % ply.steamid)
		var.set(0)

# ============================================================================================================================================================== #
# ========================================================================= UNLOAD ============================================================================= #
# ============================================================================================================================================================== #
def unload():
	### UNCLIP PLAYERS ###
	for ply in playerlib.getPlayerList('#all'):
		targetvar = es.ServerVar('sam_freeze_%s' % ply.steamid)
		if int(targetvar) == 1: unfreeze(ply)

# ============================================================================================================================================================== #
# ======================================================================= MAIN BLOCKS ========================================================================== #
# ============================================================================================================================================================== #
def moduleAction(userid, target):
	if admins.checkImmunity(es.getplayersteamid(userid), target.steamid):
		targetvar = es.ServerVar('sam_freeze_%s' % target.steamid)
		if int(targetvar) != 1:
			freeze(target)
			func.tell('#all', func.lang_pcontrol('freeze_target_freezed', {'target':target.name}))
		else:
			unfreeze(target)
			func.tell('#all', func.lang_pcontrol('freeze_target_unfreezed', {'target':target.name}))
	block  = es.import_addon('sam/base/pcontrol')
	block.function(userid, 'Freeze', None)

# ============================================================================================================================================================== #
# ======================================================================== FUNCTIONS =========================================================================== #
# ============================================================================================================================================================== #
def freeze(target):
	targetvar = es.ServerVar('sam_freeze_%s' % target.steamid)
	targetvar.set(1)
	target.freeze(1)

# ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::: #
def unfreeze(target):
	targetvar = es.ServerVar('sam_freeze_%s' % target.steamid)
	targetvar.set(0)
	target.freeze(0)

# ============================================================================================================================================================== #
# ========================================================================= EVENTS ============================================================================= #
# ============================================================================================================================================================== #
def player_activate(ev):
	var = es.ServerVar('sam_freeze_%s' % ev['userid'])
	var.set(0)

# ============================================================================================================================================================== #