# MAIN IMPORTS ================================================================================================================================================ #
import psyco
psyco.full()
import es
import playerlib
import cmdlib
import langlib
# ============================================================================================================================================================= #

# * SAM IMPORTS
func   = es.import_addon('sam/functions')
admins = es.import_addon('sam/admins')

# * VARIABLES

filters = ('#alive','#ct','#t')

slaytag     = '#greenSLAY'
hud_slaytag = 'SLAY'

# ============================================================================================================================================================= #
# ========================================================================== LOAD ============================================================================= #
# ============================================================================================================================================================= #
def load(): cmdlib.registerSayCommand('!slay', slayCMD,'SAM')

# ============================================================================================================================================================= #
# ========================================================================= UNLOAD ============================================================================ #
# ============================================================================================================================================================= #
def unload(): cmdlib.unregisterSayCommand('!slay')

# ============================================================================================================================================================= #
# ======================================================================= CMD BLOCKS ========================================================================== #
# ============================================================================================================================================================= #
def slayCMD(userid, args):
	if args:
		targets = len(args)
		admin   = playerlib.getPlayer(userid)
		if targets == 1:
			if str(args[0]) not in filters:
				if es.exists('userid', es.getuserid(str(args[0]))): moduleAction(admin, playerlib.getPlayer(es.getuserid(str(args[0]))), 1)
			else:
				plist   = playerlib.getPlayerList(str(args[0]))
				targets = len(plist)
				for target in plist:
					if not target.isdead == True: target.slay()
					else: targets -= 1
				if targets > 0: func.tell('#human', func.lang_pcontrol('slay_multi_targets', {'num':targets}), slaytag)
		else:
			for x in args:
				if es.exists('userid', es.getuserid(x)):
					target = playerlib.getPlayer(es.getuserid(x))
					if admins.checkImmunity(admin.steamid, target.steamid):
						if not target.isdead == True: target.slay()
						else: targets -= 1
					else: targets -= 1
				else: targets -= 1
			if targets > 0: func.tell('#human', func.lang_pcontrol('slay_multi_targets', {'num':targets}), slaytag)
	else:
		block = es.import_addon('sam/base/pcontrol')
		block.function(userid, 'Slay', None)

# ============================================================================================================================================================= #
# ======================================================================= MAIN BLOCKS ========================================================================= #
# ============================================================================================================================================================= #
def moduleAction(admin, target, rcmd = None):
	if admins.checkImmunity(admin.steamid, target.steamid):
		if not target.isdead == True:
			target.slay()
			func.tell('#human', func.lang_pcontrol('slay_one_target', {'target':target.name}), slaytag)
		else: func.hudhint(admin, func.lang_pcontrol('slay_target_is_dead', {'target':target.name}), hud_slaytag)
	if rcmd == None:
		block = es.import_addon('sam/base/pcontrol')
		block.function(admin, 'Slay', None)

# ============================================================================================================================================================= #