# MAIN IMPORTS ================================================================================================================================================ #
import es
import keyvalues
import os
import playerlib
import popuplib
import time
import psyco
import langlib
psyco.full()
# ============================================================================================================================================================= #

# * SAM IMPORTS
func   = es.import_addon('sam/functions')
admins = es.import_addon('sam/admins')
bans   = es.import_addon('sam/base/pcontrol/ban')

# VARIABLES

temp = {}

# ============================================================================================================================================================= #
# ========================================================================= UNLOAD ============================================================================ #
# ============================================================================================================================================================= #
def unload():
	### POPUPS ###
	func.popupDelete('banList')
	func.popupDelete('banPage')
	
# ============================================================================================================================================================= #
# ======================================================================= MAIN BLOCKS ========================================================================= #
# ============================================================================================================================================================= #
def moduleAction(userid):
	temp[userid] = {}
	if os.path.isfile(bans.db_dir):
		kg    = keyvalues.getKeyGroup(bans.db)
		tlist = []
		for item in kg: tlist.append(item)
		if len(tlist) >= 1:
			func.popupDelete('banList')
			popup = popuplib.easymenu('banList', None, banPage)
			popup.c_beginsep = func.pline
			popup.c_pagesep  = func.pline
			popup.settitle('%s | SAM %s' % (func.menutitle, es.ServerVar('sam_version')))
			popup.setdescription('\n \n :: %s' % func.lang_titles('pcontrol_unban_desc'))
			banned = []
			for ban in kg:
				if bans.isBanned(ban): banned.append(ban)
			if len(banned) > 0:
				for ban in banned:
					player = bans.getBanned(ban)
					popup.addoption(item, '%s [%s]' % (player['name'], func.lang_pcontrol(player['length'])))
				popup.submenu(10, 'pcontrol')
				popup.send(userid)
			else:
				func.hudhint(userid, func.lang_pcontrol('unban_no_players_banned'), func.admins_hudtag)
				func.sendMenu(userid, 'pcontrol')
		else:
			func.hudhint(userid, func.lang_pcontrol('unban_no_players_banned'), func.admins_hudtag)
			func.sendMenu(userid, 'pcontrol')
	else:
		func.hudhint(userid, func.lang_pcontrol('unban_no_players_banned'), func.admins_hudtag)
		func.sendMenu(userid, 'pcontrol')

# ------------------------------------------------------------------------------------------------------------------------------------------------------------- #
def banPage(userid, choice, popup):
	temp[userid]['target'] = choice
	player = bans.getBanned(choice)

	if player['length'] == 'perm': string = ' # %s: %s' % ('length', func.lang_pcontrol('perm'))
	else: string = ' # %s: %s' % (func.lang_word('length'), func.lang_pcontrol(player['length']))

	func.popupDelete('banPage')
	popup = popuplib.create('banPage')
	popup.addline('%s | SAM %s' % (func.menutitle, es.ServerVar('sam_version')))
	popup.addline('\n \n :: %s' % func.lang_titles('pcontrol_unban'))
	popup.addline(func.pline)
	popup.addline(' # %s: %s' % (func.lang_word('name'),player['name']))
	popup.addline(' # ID: %s' % (player['steamid']))
	popup.addline(string)
	popup.addline(' # Ban Admin: %s' % player['admin'])
	popup.addline(' # %s: %s' % (func.lang_word('reason'), player['reason']))
	popup.addline(' \n%s' % func.lang_pcontrol('unban_confirmation'))
	popup.addline('->1. %s' % func.lang_word('yes'))
	popup.addline('->2. %s' % func.lang_word('no'))
	popup.addline(func.pline)
	popup.addline('0. %s' % func.lang_word('cancel'))
	popup.menuselect = banPageChoice
	popup.send(userid)

# ------------------------------------------------------------------------------------------------------------------------------------------------------------- #
def banPageChoice(userid, choice, popup):
	func.popupDelete('banPage')
	if choice == 1:
		if userid in temp and len(temp[userid]) == 1:
			func.hudhint(userid, func.lang_pcontrol('unban_unban_target', bans.getBanned(temp[userid]['target'])), func.admins_hudtag)
			es.keydelete(bans.db, temp[userid]['target'])
			es.keygroupsave(bans.db, func.dbfiles)
			del temp[userid]
		
	elif choice == 2: moduleAction(userid)

# ============================================================================================================================================================= #
